aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-flask-httpauth/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-28 09:08:38 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2013-09-29 14:07:40 +0000
commit86ad65e8de37b846a0a54837bf9626ddf4cc69da (patch)
tree6044e1c085bfa3a0258a280bac8401702815657d /testing/py-flask-httpauth/APKBUILD
parent20df3ee1e945bfc732e093d09bf232a82d5d397c (diff)
downloadaports-86ad65e8de37b846a0a54837bf9626ddf4cc69da.tar.gz
aports-86ad65e8de37b846a0a54837bf9626ddf4cc69da.tar.bz2
aports-86ad65e8de37b846a0a54837bf9626ddf4cc69da.tar.xz
testing/py-flask-httpauth: new aport
Basic and Digest HTTP authentication for Flask routes https://pypi.python.org/pypi/Flask-HTTPAuth
Diffstat (limited to 'testing/py-flask-httpauth/APKBUILD')
-rw-r--r--testing/py-flask-httpauth/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-flask-httpauth/APKBUILD b/testing/py-flask-httpauth/APKBUILD
new file mode 100644
index 0000000000..de9a29fb24
--- /dev/null
+++ b/testing/py-flask-httpauth/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-flask-httpauth
+_pkgname=Flask-HTTPAuth
+pkgver=2.1.0
+pkgrel=0
+pkgdesc="Basic and Digest HTTP authentication for Flask routes"
+url="https://pypi.python.org/pypi/Flask-HTTPAuth"
+arch="noarch"
+license="MIT"
+depends="python py-flask"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="710c47218b0b0ede9b333698fb559e7a Flask-HTTPAuth-2.1.0.tar.gz"
+sha256sums="cc7811f7ffcd31e84c561a402c0caa96ff49d28067a93036dc534d9f8b14ce2d Flask-HTTPAuth-2.1.0.tar.gz"
+sha512sums="0fef80572d42f31f39fb98083cbc0dc4dbde5999b5024262acda23aa60a96c767c528e4c379342f4c74303abee9c3843321b14c7a4abcba8e818b96718cc72bc Flask-HTTPAuth-2.1.0.tar.gz"